\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-0.25,-0.25) rectangle (5.25,5.25);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,0)-- (5,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (5,1)-- (0,1);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,2)-- (5,2);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,3)-- (5,3);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,4)-- (5,4);
\draw [line width=1.5pt,mydashed,color=Gris2] (5,5)-- (0,5);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,5)-- (0,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (1,0)-- (1,5);
\draw [line width=1.5pt,mydashed,color=Gris2] (2,5)-- (2,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (3,0)-- (3,5);
\draw [line width=1.5pt,mydashed,color=Gris2] (4,5)-- (4,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (5,0)-- (5,5);
\begin{scriptsize}
\draw [fill=black] (1,0) circle (2.5pt);
\draw [fill=black] (2,0) circle (2.5pt);
\draw [fill=black] (3,0) circle (2.5pt);
\draw [fill=black] (3,1) circle (2.5pt);
\draw [fill=black] (5,1) circle (2.5pt);
\draw [fill=black] (2,2) circle (2.5pt);
\draw [fill=black] (3,2) circle (2.5pt);
\draw [fill=black] (4,2) circle (2.5pt);
\draw [fill=black] (0,3) circle (2.5pt);
\draw [fill=black] (1,3) circle (2.5pt);
\draw [fill=black] (2,3) circle (2.5pt);
\draw [fill=black] (1,4) circle (2.5pt);
\draw [fill=black] (3,4) circle (2.5pt);
\draw [fill=black] (5,4) circle (2.5pt);
\draw [fill=black] (4,5) circle (2.5pt);
\end{scriptsize}
\end{tikzpicture}
\end{document}